<template>
  <div>
    <div>Назва: {{ company.name }}</div>
    <div>Адреса: {{ company.address }}</div>
    <div>Номер телефону: {{ company.phone }}</div>
    <div>Спеціалізація: {{ company.specialization }}</div>
    <div>Час роботи: {{ company.workTime }}</div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";
export default {
  data() {
    return {
      company: {},
    };
  },
  computed: {
    ...mapGetters(["getItemById"]),
  },
  methods: {
    ...mapActions(["loadList"]),
  },
  async created() {
    try {
      await this.loadList();
      const companyId = this.$route.params.id;

      // Перевірка, чи є обладнання за вказаним ID
      const company = this.getItemById(companyId);
      this.company = company;
    } catch (error) {
      console.error("Error:", error);
    }
  },
};
</script>

<style></style>
